from django.conf.urls.defaults import patterns, include, url
from django.contrib import admin
from django.views.generic.simple import redirect_to
from woe_www.views import *

import settings

admin.autodiscover()

login_url = settings.LOGIN_URL
login_url = login_url if login_url[0] != '/' else login_url[1:]

logout_url = settings.LOGOUT_URL
logout_url = logout_url if logout_url[0] != '/' else logout_url[1:]

urlpatterns = patterns('',
	url(r'^' + login_url + '$', login, name='login'),
	url(r'^' + logout_url + '$', logout, name='logout'),
	
	url(r'^$', products, name='home'),
	url(r'^produkty/$', products, name='products'),
    url(r'^produkty/grupa/(?P<group>.*?)/strona/(?P<page>\d+)$', products, name='products'),
    url(r'^produkty/grupa/(?P<group>.*?)$', products, name='products'),
    
	url(r'^koszyk/dodaj/(?P<id>.+)$', cart_new, name='cart_new'),
	url(r'^koszyk/usun/(?P<id>.+)$', cart_remove, name='cart_remove'),
	url(r'^koszyk/oproznij/', cart_clear, name='cart_clear'),
	url(r'^koszyk/$', cart, name='cart'),
	
	url(r'^zamowienie-nowe/wybierz-klienta/(?P<key>\d+)$', client_select, name='client_select'),
	url(r'^zamowienie-nowe/wybierz-klienta/$', client_select, name='client_select'),
	url(r'^zamowienie-nowe/(?P<client>\d+)$', order_new, name='order_new'),
	url(r'^zamowienie-nowe/$', order_new, name='order_new'),
	url(r'^zamowienia/$', orders, name='orders'),
	url(r'^zamowienia/(?P<page>\d+)$', orders, name='orders'),
	url(r'^zamowienie/(?P<id>.+)$', order, name='order'),
	
    url(r'^admin/', include(admin.site.urls)),
	url(r'^admin/doc/', include('django.contrib.admindocs.urls')),
	
	# static files:
	(r'^s/(?P<path>.*)$', 'django.views.static.serve', 
		{'document_root': settings.STATIC_ROOT}),
)
