# -*- coding: utf-8 -*-
from django import forms
from django.conf import settings
from datetime import date

class ProductsForm(forms.Form):
	empty_value = "---------"
	
	name = forms.CharField(label="Nazwa", required=False, widget=forms.TextInput(attrs={'size': 30}), max_length=50)
	key = forms.CharField(label="Indeks", required=False, widget=forms.TextInput(attrs={'size': 16}), max_length=16)
	code = forms.CharField(label="Kod", required=False, widget=forms.TextInput(attrs={'size': 13}), max_length=13)
	
	"""
	def __init__(self, group_list, *args, **kwargs):
		super(ProductsForm, self).__init__(*args, **kwargs)
		group_list.insert(0, ('', self.empty_value))
		self.fields['group'].choices = group_list
	"""
	
	def clean(self):
		cleaned_data = self.cleaned_data
		
		all_empty = True
		for name, fieldvalue in cleaned_data.items():
			if fieldvalue in ('', self.empty_value, None):
				cleaned_data[name] = None
			else:
				all_empty = False
							
		if all_empty:
			pass

		return cleaned_data


class OrderForm(forms.Form):
	infrmts = ["%d-%m-%Y"]
	description = forms.CharField(label="Uwagi", required=False, widget=forms.Textarea)						# NOTE


class CustomerFindForm(forms.Form):
	customer_key = forms.IntegerField(label="symbol klienta", required=False)
	customer_name = forms.CharField(label="nazwa klienta", required=False)
	customer_nip = forms.CharField(label="NIP klienta", required=False)		
	
